Eina_Value_Value_group

Macros | Functions
Eina_Value_Value_group

## Macros
#define | EINA_INLINE_VALUE_UTIL_X_
#define | eina_value_util_type_size eina_value_type_size
| Legacy compat: calls eina_value_type_size() More...
#define | eina_value_util_type_offset eina_value_type_offset
| Legacy compat: calls eina_value_type_offset() More...
#define | eina_value_util_int_new eina_value_int_new
| Legacy compat: calls eina_value_int_new() More...
#define | eina_value_util_double_new eina_value_double_new
| Legacy compat: calls eina_value_double_new() More...
#define | eina_value_util_bool_new eina_value_bool_new
| Legacy compat: calls eina_value_bool_new() More...
#define | eina_value_util_string_new eina_value_string_new
| Legacy compat: calls eina_value_string_new() More...
#define | eina_value_util_stringshare_new eina_value_stringshare_new
| Legacy compat: calls eina_value_stringshare_new() More...
#define | eina_value_util_time_new eina_value_time_new
| Legacy compat: calls eina_value_time_new() More...
#define | eina_value_util_dup eina_value_dup
| Legacy compat: calls eina_value_dup() More...
#define | eina_value_util_stringshare_copy eina_value_stringshare_copy
| Legacy compat: calls eina_value_stringshare_copy() More...
#define | eina_value_util_string_copy eina_value_string_copy
| Legacy compat: calls eina_value_string_copy() More...
#define | EINA_VALUE_NEW(Compress_Type, Uppercase_Compress_Type, Type)
| For internal use only.
#define | EINA_VALUE_INIT(Compress_Type, Uppercase_Compress_Type, Type)
| For internal use only.
#define | EINA_VALUE_GET(Compress_Type, Uppercase_Compress_Type, Type)
| For internal use only.
#define | EINA_VALUE_CONVERT(Compress_Type, Uppercase_Compress_Type, Type)
| For internal use only.

## Functions
static size_t | eina_value_type_size (const Eina_Value_Type *type)
| Get size of Eina_Value_Type based on C type. More...
static unsigned int | eina_value_type_offset (const Eina_Value_Type *type, unsigned int base)
| Get padding of Eina_Value_Type based on C type and base padding. More...
static Eina_Value * | eina_value_uchar_new (unsigned char c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_ushort_new (unsigned short c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_uint_new (unsigned int c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_ulong_new (unsigned long c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_uint64_new (uint64_t c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_char_new (char c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_short_new (short c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_int_new (int c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_long_new (long c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_int64_new (int64_t c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_float_new (float c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_double_new (double c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_bool_new (Eina_Bool c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_string_new (const char *c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_stringshare_new (const char *c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_time_new (time_t c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value * | eina_value_error_new (Eina_Error c)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_uchar_init (unsigned char c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_ushort_init (unsigned short c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_uint_init (unsigned int c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_ulong_init (unsigned long c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_uint64_init (uint64_t c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_char_init (char c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_short_init (short c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_int_init (int c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_long_init (long c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_int64_init (int64_t c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_float_init (float c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_double_init (double c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_bool_init (Eina_Bool c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_string_init (const char *c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_stringshare_init (const char *c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_time_init (time_t c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_error_init (Eina_Error c)
| Initialize Eina_Value containing the passed parameter. More...
static Eina_Bool | eina_value_uchar_get (const Eina_Value *v, unsigned char *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_ushort_get (const Eina_Value *v, unsigned short *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_uint_get (const Eina_Value *v, unsigned int *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_ulong_get (const Eina_Value *v, unsigned long *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_uint64_get (const Eina_Value *v, uint64_t *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_char_get (const Eina_Value *v, char *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_short_get (const Eina_Value *v, short *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_int_get (const Eina_Value *v, int *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_long_get (const Eina_Value *v, long *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_int64_get (const Eina_Value *v, int64_t *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_float_get (const Eina_Value *v, float *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_double_get (const Eina_Value *v, double *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_bool_get (const Eina_Value *v, Eina_Bool *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_string_get (const Eina_Value *v, const char **c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_stringshare_get (const Eina_Value *v, const char **c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_time_get (const Eina_Value *v, time_t *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_error_get (const Eina_Value *v, Eina_Error *c)
| Check value type and get contents. More...
static Eina_Bool | eina_value_uchar_convert (const Eina_Value *v, unsigned char *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_ushort_convert (const Eina_Value *v, unsigned short *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_uint_convert (const Eina_Value *v, unsigned int *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_ulong_convert (const Eina_Value *v, unsigned long *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_uint64_convert (const Eina_Value *v, uint64_t *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_char_convert (const Eina_Value *v, char *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_short_convert (const Eina_Value *v, short *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_int_convert (const Eina_Value *v, int *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_long_convert (const Eina_Value *v, long *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_int64_convert (const Eina_Value *v, int64_t *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_float_convert (const Eina_Value *v, float *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_double_convert (const Eina_Value *v, double *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_bool_convert (const Eina_Value *v, Eina_Bool *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_string_convert (const Eina_Value *v, const char **c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_stringshare_convert (const Eina_Value *v, const char **c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_time_convert (const Eina_Value *v, time_t *c)
| Check value type and convert contents. More...
static Eina_Bool | eina_value_error_convert (const Eina_Value *v, Eina_Error *c)
| Check value type and convert contents. More...
static Eina_Value * | eina_value_dup (const Eina_Value *val)
| Create a new Eina_Value containing the passed parameter. More...
static Eina_Value | eina_value_reference_copy (const Eina_Value *val)
| Return a reference to Eina_Value containing a copy of the passed parameter. More...
static Eina_Bool | eina_value_stringshare_copy (const Eina_Value *val, Eina_Stringshare **str)
| Copy the stringshare in the passed Eina_Value. More...
static Eina_Bool | eina_value_string_copy (const Eina_Value *val, char **str)
| Copy the string in the passed Eina_Value. More...

## Detailed Description

## Macro Definition Documentation

## ◆ eina_value_util_type_size

#define eina_value_util_type_size eina_value_type_size

Legacy compat: calls eina_value_type_size()

Deprecated:

Since
  1.12

## ◆ eina_value_util_type_offset

#define eina_value_util_type_offset eina_value_type_offset

Legacy compat: calls eina_value_type_offset()

Deprecated:

Since
  1.12

## ◆ eina_value_util_int_new

#define eina_value_util_int_new eina_value_int_new

Legacy compat: calls eina_value_int_new()

Deprecated:

Since
  1.12

## ◆ eina_value_util_double_new

#define eina_value_util_double_new eina_value_double_new

Legacy compat: calls eina_value_double_new()

Deprecated:

Since
  1.12

## ◆ eina_value_util_bool_new

#define eina_value_util_bool_new eina_value_bool_new

Legacy compat: calls eina_value_bool_new()

Deprecated:

Since
  1.12

## ◆ eina_value_util_string_new

#define eina_value_util_string_new eina_value_string_new

Legacy compat: calls eina_value_string_new()

Deprecated:

Since
  1.12

## ◆ eina_value_util_stringshare_new

#define eina_value_util_stringshare_new eina_value_stringshare_new

Legacy compat: calls eina_value_stringshare_new()

Deprecated:

Since
  1.12

## ◆ eina_value_util_time_new

#define eina_value_util_time_new eina_value_time_new

Legacy compat: calls eina_value_time_new()

Deprecated:

Since
  1.12

## ◆ eina_value_util_dup

#define eina_value_util_dup eina_value_dup

Legacy compat: calls eina_value_dup()

Deprecated:

Since
  1.12

## ◆ eina_value_util_stringshare_copy

#define eina_value_util_stringshare_copy eina_value_stringshare_copy

Legacy compat: calls eina_value_stringshare_copy()

Deprecated:

Since
  1.12

## ◆ eina_value_util_string_copy

#define eina_value_util_string_copy eina_value_string_copy

Legacy compat: calls eina_value_string_copy()

Deprecated:

Since
  1.12

## Function Documentation

## ◆ eina_value_type_size()

static size_t eina_value_type_size | ( | const Eina_Value_Type * | type | ) |
| inlinestatic

Get size of Eina_Value_Type based on C type.

Parameters

  type | The type to get the size of

Returns
  The size of the type

Since
  1.21

Referenced by eina_value_type_offset().

## ◆ eina_value_type_offset()

static unsigned int eina_value_type_offset | ( | const Eina_Value_Type * | type,
|  | unsigned int | base
| ) |  |
| inlinestatic

Get padding of Eina_Value_Type based on C type and base padding.

Parameters

  type | The type to get the offset of
  base | The existing base size

Returns
  The offset of the type

Since
  1.21

References eina_value_type_size().

## ◆ eina_value_uchar_new()

static Eina_Value* eina_value_uchar_new | ( | unsigned char | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_ushort_new()

static Eina_Value* eina_value_ushort_new | ( | unsigned short | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_uint_new()

static Eina_Value* eina_value_uint_new | ( | unsigned int | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_ulong_new()

static Eina_Value* eina_value_ulong_new | ( | unsigned long | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_uint64_new()

static Eina_Value* eina_value_uint64_new | ( | uint64_t | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_char_new()

static Eina_Value* eina_value_char_new | ( | char | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_short_new()

static Eina_Value* eina_value_short_new | ( | short | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_int_new()

static Eina_Value* eina_value_int_new | ( | int | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_long_new()

static Eina_Value* eina_value_long_new | ( | long | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_int64_new()

static Eina_Value* eina_value_int64_new | ( | int64_t | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_float_new()

static Eina_Value* eina_value_float_new | ( | float | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_double_new()

static Eina_Value* eina_value_double_new | ( | double | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_bool_new()

static Eina_Value* eina_value_bool_new | ( | Eina_Bool | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_string_new()

static Eina_Value* eina_value_string_new | ( | const char * | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_stringshare_new()

static Eina_Value* eina_value_stringshare_new | ( | const char * | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_time_new()

static Eina_Value* eina_value_time_new | ( | time_t | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_error_new()

static Eina_Value* eina_value_error_new | ( | Eina_Error | c | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_uchar_init()

static Eina_Value eina_value_uchar_init | ( | unsigned char | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_ushort_init()

static Eina_Value eina_value_ushort_init | ( | unsigned short | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_uint_init()

static Eina_Value eina_value_uint_init | ( | unsigned int | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_ulong_init()

static Eina_Value eina_value_ulong_init | ( | unsigned long | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_uint64_init()

static Eina_Value eina_value_uint64_init | ( | uint64_t | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_char_init()

static Eina_Value eina_value_char_init | ( | char | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_short_init()

static Eina_Value eina_value_short_init | ( | short | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_int_init()

static Eina_Value eina_value_int_init | ( | int | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_long_init()

static Eina_Value eina_value_long_init | ( | long | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_int64_init()

static Eina_Value eina_value_int64_init | ( | int64_t | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_float_init()

static Eina_Value eina_value_float_init | ( | float | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_double_init()

static Eina_Value eina_value_double_init | ( | double | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_bool_init()

static Eina_Value eina_value_bool_init | ( | Eina_Bool | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_string_init()

static Eina_Value eina_value_string_init | ( | const char * | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_stringshare_init()

static Eina_Value eina_value_stringshare_init | ( | const char * | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_time_init()

static Eina_Value eina_value_time_init | ( | time_t | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_error_init()

static Eina_Value eina_value_error_init | ( | Eina_Error | c | ) |
| inlinestatic

Initialize Eina_Value containing the passed parameter.

Parameters

  c | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_uchar_get()

static Eina_Bool eina_value_uchar_get | ( | const Eina_Value * | v,
|  | unsigned char * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_ushort_get()

static Eina_Bool eina_value_ushort_get | ( | const Eina_Value * | v,
|  | unsigned short * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_uint_get()

static Eina_Bool eina_value_uint_get | ( | const Eina_Value * | v,
|  | unsigned int * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_ulong_get()

static Eina_Bool eina_value_ulong_get | ( | const Eina_Value * | v,
|  | unsigned long * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_uint64_get()

static Eina_Bool eina_value_uint64_get | ( | const Eina_Value * | v,
|  | uint64_t * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_char_get()

static Eina_Bool eina_value_char_get | ( | const Eina_Value * | v,
|  | char * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_short_get()

static Eina_Bool eina_value_short_get | ( | const Eina_Value * | v,
|  | short * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_int_get()

static Eina_Bool eina_value_int_get | ( | const Eina_Value * | v,
|  | int * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_long_get()

static Eina_Bool eina_value_long_get | ( | const Eina_Value * | v,
|  | long * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_int64_get()

static Eina_Bool eina_value_int64_get | ( | const Eina_Value * | v,
|  | int64_t * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_float_get()

static Eina_Bool eina_value_float_get | ( | const Eina_Value * | v,
|  | float * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_double_get()

static Eina_Bool eina_value_double_get | ( | const Eina_Value * | v,
|  | double * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_bool_get()

static Eina_Bool eina_value_bool_get | ( | const Eina_Value * | v,
|  | Eina_Bool * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_string_get()

static Eina_Bool eina_value_string_get | ( | const Eina_Value * | v,
|  | const char ** | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_stringshare_get()

static Eina_Bool eina_value_stringshare_get | ( | const Eina_Value * | v,
|  | const char ** | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_time_get()

static Eina_Bool eina_value_time_get | ( | const Eina_Value * | v,
|  | time_t * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_error_get()

static Eina_Bool eina_value_error_get | ( | const Eina_Value * | v,
|  | Eina_Error * | c
| ) |  |
| inlinestatic

Check value type and get contents.

Parameters

  v | The value to check type and get contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.21

## ◆ eina_value_uchar_convert()

static Eina_Bool eina_value_uchar_convert | ( | const Eina_Value * | v,
|  | unsigned char * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_ushort_convert()

static Eina_Bool eina_value_ushort_convert | ( | const Eina_Value * | v,
|  | unsigned short * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_uint_convert()

static Eina_Bool eina_value_uint_convert | ( | const Eina_Value * | v,
|  | unsigned int * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_ulong_convert()

static Eina_Bool eina_value_ulong_convert | ( | const Eina_Value * | v,
|  | unsigned long * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_uint64_convert()

static Eina_Bool eina_value_uint64_convert | ( | const Eina_Value * | v,
|  | uint64_t * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_char_convert()

static Eina_Bool eina_value_char_convert | ( | const Eina_Value * | v,
|  | char * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_short_convert()

static Eina_Bool eina_value_short_convert | ( | const Eina_Value * | v,
|  | short * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_int_convert()

static Eina_Bool eina_value_int_convert | ( | const Eina_Value * | v,
|  | int * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_long_convert()

static Eina_Bool eina_value_long_convert | ( | const Eina_Value * | v,
|  | long * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_int64_convert()

static Eina_Bool eina_value_int64_convert | ( | const Eina_Value * | v,
|  | int64_t * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_float_convert()

static Eina_Bool eina_value_float_convert | ( | const Eina_Value * | v,
|  | float * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_double_convert()

static Eina_Bool eina_value_double_convert | ( | const Eina_Value * | v,
|  | double * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_bool_convert()

static Eina_Bool eina_value_bool_convert | ( | const Eina_Value * | v,
|  | Eina_Bool * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_string_convert()

static Eina_Bool eina_value_string_convert | ( | const Eina_Value * | v,
|  | const char ** | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_stringshare_convert()

static Eina_Bool eina_value_stringshare_convert | ( | const Eina_Value * | v,
|  | const char ** | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_time_convert()

static Eina_Bool eina_value_time_convert | ( | const Eina_Value * | v,
|  | time_t * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_error_convert()

static Eina_Bool eina_value_error_convert | ( | const Eina_Value * | v,
|  | Eina_Error * | c
| ) |  |
| inlinestatic

Check value type and convert contents.

Parameters

  v | The value to check type and convert contents.
  c | Where to store the value contents.

Returns
  EINA_TRUE if type matches and fetched contents, EINA_FALSE on different type or failures.

Since
  1.22

## ◆ eina_value_dup()

static Eina_Value* eina_value_dup | ( | const Eina_Value * | val | ) |
| inlinestatic

Create a new Eina_Value containing the passed parameter.

Parameters

  val | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_reference_copy()

static Eina_Value eina_value_reference_copy | ( | const Eina_Value * | val | ) |
| inlinestatic

Return a reference to Eina_Value containing a copy of the passed parameter.

Parameters

  val | The value to use

Returns
  The Eina_Value

Since
  1.21

## ◆ eina_value_stringshare_copy()

static Eina_Bool eina_value_stringshare_copy | ( | const Eina_Value * | val,
|  | Eina_Stringshare ** | str
| ) |  |
| inlinestatic

Copy the stringshare in the passed Eina_Value.

Parameters

  val | The value to copy
  str | The pointer to copy the stringshare to

Returns
  `EINA_TRUE` on success

Since
  1.21

## ◆ eina_value_string_copy()

static Eina_Bool eina_value_string_copy | ( | const Eina_Value * | val,
|  | char ** | str
| ) |  |
| inlinestatic

Copy the string in the passed Eina_Value.

Parameters

  val | The value to copy
  str | The pointer to copy the string to

Returns
  `EINA_TRUE` on success

Since
  1.21